=== debian/changelog ===
debhelper (13.14.1ubuntu5) noble; urgency=medium

  * Revert dwz bootstrapping hacks

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Mar 2024 04:50:27 +0000

debhelper (13.14.1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-
      empty. Warn on empty archives.
    - objcopy/strip changed in 2.36.1, not keeping file attributes of the
      original file. Work around that in dh_strip to write to a temporary file
      and cat'ing this to the original file to keep the original attributes.
    - Imply '<!noudeb>' profile if not set on package type udeb.
    - dh_strip: Set a unique build-id before stripping files.
    - Allow dh_strip to be larger for the tests
    - Add awk dependency implied by empty .text section check
    - Fix restart behaviour of packages marked either
      + no-stop-on-upgrade or --no-restart-after-upgrade

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 24 Feb 2024 09:10:10 +0100

debhelper (13.14.1) unstable; urgency=medium

  * dh_makeshlibs: Correct the auto-detected package name
  * dh_makeshlibs: Use the "correct" package architecture definition

 -- Niels Thykier <niels@thykier.net>  Fri, 23 Feb 2024 10:13:34 +0100

debhelper (13.14) unstable; urgency=medium

  [ Niels Thykier ]
  * debhelper-documentation.json: The pam change happened in c14
  * dh_assistant: Expose bug#950723 marker in
    list-guessed-dh-config-files
  * dh_installsystemduser: Add missing pkgfiles in DH NOOP promise
  * debhelper-documentation.json: Add dh_installsystemd files
  * debhelper-documentation.json: Add dh_installsystemduser files
  * d/changelog: Fix typo in a previous entry
  * dh_gencontrol: Avoid Static-Built-Using in -dbgsym packages
    (Closes: #1062960)
  * dh_makeshlibs: Improve handling of t64 transition support
    - The presence of the `X-Time64-Compat` now unconditionally
      trigger the `${t64:Provides}` substvar.
    - Auto-detection is now extended to include t64-nss libraries
      (The detection regex is now: `m/^lib.*t64(?:-nss)?$/`)
    - The `${t64:Provides}` substvars now uses `${binary:Version}`
      instead of trying to guess the version. This works better
      for packages that manually set their own version via
      dpkg-gencontrol's -v option.

  [ Michael Hudson-Doyle ]
  * check the dpkg "features" to decide whether to emit t64:Provides

 -- Niels Thykier <niels@thykier.net>  Fri, 23 Feb 2024 08:40:03 +0000

debhelper (13.13ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-
      empty. Warn on empty archives.
    - objcopy/strip changed in 2.36.1, not keeping file attributes of the
      original file. Work around that in dh_strip to write to a temporary file
      and cat'ing this to the original file to keep the original attributes.
    - Imply '<!noudeb>' profile if not set on package type udeb.
    - dh_strip: Set a unique build-id before stripping files.
    - Allow dh_strip to be larger for the tests
    - Add awk dependency implied by empty .text section check
    - Fix restart behaviour of packages marked either
      + no-stop-on-upgrade or --no-restart-after-upgrade

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jan 2024 09:03:50 +0100

debhelper (13.12ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-
      empty. Warn on empty archives.
    - objcopy/strip changed in 2.36.1, not keeping file attributes of the
      original file. Work around that in dh_strip to write to a temporary file
      and cat'ing this to the original file to keep the original attributes.
    - Imply '<!noudeb>' profile if not set on package type udeb.
    - dh_strip: Set a unique build-id before stripping files.
    - Allow dh_strip to be larger for the tests
    - Add awk dependency implied by empty .text section check
    - Fix restart behaviour of packages marked either
      + no-stop-on-upgrade or --no-restart-after-upgrade

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 27 Jan 2024 07:14:27 +0100

debhelper (13.11.10ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-
      empty. Warn on empty archives.
    - objcopy/strip changed in 2.36.1, not keeping file attributes of the

