=== t/dh_installinit/debian/control ===
Source: foo
Section: misc
Priority: optional
Maintainer: Test <testing@nowhere>
Standards-Version: 3.9.8

Package: foo
Architecture: all
Description: package foo
 Package foo

Package: bar
Architecture: all
Description: package bar
 Package bar

Package: baz
Architecture: all
Description: package baz
 Package baz
