## debhelper 13.15.3

=== debian/changelog ===
debhelper (13.15.3) unstable; urgency=medium

  * debhelper-compat-upgrade-checklist.pod: Fix repeated substvar.
    Thanks to Andrey Rakhmatullin
  * debhelper-compat-upgrade-checklist.pod: Add ref to #1067653
  * dh_gencontrol: Gracefully cope with custom substvars and -dbgsym packages
    (Closes: #1067711)
  * upgrade-checklist: Document `dh_installsystemduser` change
    (Closes: #1066025)

 -- Niels Thykier <niels@thykier.net>  Wed, 27 Mar 2024 15:56:10 +0100

debhelper (13.15.2) unstable; urgency=medium

  * autopkgtest: Remove reference d/compat triggering perl tests
  * dh_gencontrol: Fix inverted boolean logic causing warnings

 -- Niels Thykier <niels@thykier.net>  Sun, 24 Mar 2024 07:00:11 +0100

debhelper (13.15.1) unstable; urgency=medium

  * Dh_Lib.pm: Fix field truncation in compat 14+
    (Closes: #1067508, #1067509)

 -- Niels Thykier <niels@thykier.net>  Fri, 22 Mar 2024 18:18:29 +0100

debhelper (13.15) unstable; urgency=medium

  * d/changelog: Fix typo of Felix Geyer
  * dh_makeshlibs: Ensure t64:Provides is always provided (but
    sometimes empty)
  * Replace `d/compat` with a `X-DH-Compat` field in compat 14+.
    (Closes: #1021877)
  * Ensure values to --dbg-package and --link-doc are known packages
  * PROGRAMMING.md: Add a note about `dh_assistant`
  * Make it easier to re-bootstrap without `dwz` (and also `man-db`).
    This is a new build profile that build `debhelper` with fewer
    dependencies. Note that this profile causes `debhelper` to produce
    a different result in some cases. Packages built with this minimal
    version of debhelper should be rebuilt when bootstrapping is
    complete.
  * dh_shlibdeps: Use ${shlibs:Pre-Depends} for Essential packages
    in compat 14+.
  * dh_gencontrol: Automatically apply relationship substvars in
    compat 14+
  * Clearly document how to do filtering (which is via dh-exec)
    (Closes: #1065742)
  * Reject debhelper config files without a package prefix for
    multi-binary packages in compat 15. Starting in compat 14, it will
    now trigger a warning to have `debian/install` instead of
    `debian/package.install` when `debian/control` contains 2 or more
    binary packages. In compat 15, this is promoted to an error.  The
    main exceptions are files like `debian/changelog`, `debian/NEWS`,
    and `debian/copyright`, which are applied to all packages and can
    still be used without a prefix. (Closes: #1014537)
  * cmake.pm: Pass ASFLAGS as ASMFLAGS to cmake [c14] (Closes: #1036760)
  * meson.pm: Pass --auto-features=enabled in compat 14+
    (Closes: #1030011, #1062508)
  * Dh_Lib.pm: Simplify reset_perm_and_owner so it only works with int
    now. The only misbehaving call-sites where in debhelper itself
    according to codesearch.debian.net and were fixed as well.
  * Dh_Lib.pm: Bump perl version requirement to 5.28 (Closes: #1001403)
  * dh_makeshlibs: Skip directories known not to contain SONAMEs
    (Closes: #1063126)
  * Restructure debhelper upgrade compat checklist for compat 14 in an
    attempt to make it easier for consumers.

 -- Niels Thykier <niels@thykier.net>  Fri, 22 Mar 2024 15:25:39 +0100

debhelper (4.2.32) unstable; urgency=lo
