=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
+Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
 Build-Depends: dpkg-dev (>= 1.18.0~),
                libtest-pod-perl <pkg.debhelper.ci>,
                man-db <pkg.debhelper.ci>,
                perl:any,
                po4a <!pkg.debhelper.nonls>,
-               debugedit,
+X-DH-Compat: 15
 Rules-Requires-Root: no
 Standards-Version: 4.6.1
 Testsuite: autopkgtest-pkg-perl
@@ -31,16 +30,12 @@
 # dbgsym support landed in 1.18.0, 1.18.2 fixes a related nasty bug.
          dpkg (>= 1.18.0~),
          dpkg-dev (>= 1.18.2~),
-         debugedit,
-         dwz (>= 0.12.20190711),
+         dwz (>= 0.12.20190711) <!pkg.debhelper.bootstrap>,
          file (>= 3.23),
          libdebhelper-perl (= ${source:Version}),
          libdpkg-perl (>= 1.17.14),
-         man-db,
+         man-db <!pkg.debhelper.bootstrap>,
          po-debconf,
-         awk,
-         ${misc:Depends},
-         ${perl:Depends},
 Breaks:
 # To ensure cmake understands -DCMAKE_INSTALL_RUNSTATEDIR=/run as used in compat 11
 # - Can be dropped (with the caveat that cmake packages may behave differently
@@ -75,8 +70,6 @@
 Package: libdebhelper-perl
 Section: perl
 Architecture: all
-Depends: ${misc:Depends},
-         ${perl:Depends},
 Replaces: debhelper (<< 12.6~),
 Breaks: debhelper (<< 12.6~),
 Multi-Arch: foreign
