## debhelper 13.16

=== debian/changelog ===
debhelper (13.16) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_assistant: Clearly mark unsafe commands
  * d/changelog: Fix typos in historical entries
  * Migrate to `X-Style: black`
  * dh_assistant.1: Improve documentation and command tagging
  * Improve wording of several man pages.
    Thanks to Christoph Brinkhaus <c.brinkhaus@t-online.de> (Closes: #1069176)
  * Require a package prefix with `--name` in c15 (warning in c14)
  * dh_assistant: Report data about disabled commands in some subcommands.
    This breaks a small subset of the `dh-debputy` features and a related
    `Breaks` has been added.

  [ Peter Pentchev ]
  * Fix a "comat" -> "compat" typo in _load_compat_info()

  [ Luca Boccassi ]
  * dh_installtmpfiles: implement remove on removal, purge on purge

  [ Christoph Brinkhaus ]
  * Update German translation of man pages (Closes: #1069176)

 -- Niels Thykier <niels@thykier.net>  Mon, 17 Jun 2024 16:00:40 +0000
