=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  man-db <pkg.debhelper.ci>,
  perl:any,
  po4a <!pkg.debhelper.nonls>,
+ debugedit,
 X-DH-Compat: 15
 X-Style: black
 Rules-Requires-Root: no
@@ -35,6 +36,8 @@
 # dbgsym support landed in 1.18.0, 1.18.2 fixes a related nasty bug.
  dpkg (>= 1.18.0~),
  dpkg-dev (>= 1.18.2~),
+ debugedit,
+ awk,
  dwz (>= 0.12.20190711) <!pkg.debhelper.bootstrap>,
  file (>= 3.23),
  libdebhelper-perl (= ${source:Version}),
