## debhelper 13.18ubuntu2

=== debian/changelog ===
debhelper (13.18ubuntu2) oracular; urgency=medium

  * dh_installlogrotate: Re-added 'named' pkgfile's in compat 14+ to
    enable --name for log rotate.
    (LP: #2077407)

 -- Bryce Harrington <bryce@canonical.com>  Wed, 11 Sep 2024 00:21:43 -0700

debhelper (13.18ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-
      empty. Warn on empty archives.
    - Imply "<!noudeb>" profile if not set on package type udeb.
    - dh_strip: Set a unique build-id before stripping files.
    - Allow dh_strip to be larger for the tests
    - Add mawk dependency implied by empty .text section check

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Aug 2024 17:38:03 -0400

debhelper (13.18) unstable; urgency=medium

  * perl_makemaker: Fix missing import that broke cross-builds.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #1078707)
  * perl-build: Set PKG_CONFIG during cross builds like perl-makemaker.
    Thanks to gregor herrmann <gregoa@debian.org>

 -- Niels Thykier <niels@thykier.net>  Wed, 14 Aug 2024 20:27:05 +0000

debhelper (13.17) unstable; urgency=medium

  [ Américo Monteiro ]
  * Update on Portuguese translation of man pages

  [ Niels Thykier ]
  * Reorder default sequence around dh_fixperms and nearby tools in
    compat 14. (Closes: #981783, #982457). This should also avoid
    future issues like LP#1928381 where Ubuntu's modifications to
    `dh_strip` cause differences not visible in Debian.
  * dh_assistant: Fix bug the config introspection could be wrong.
  * debhelper-documentation.json: Associate with `substvars` with
    `dh_gencontrol`.
  * Add some config hints to `dh_makeshlibs` and `dh_gencontrol`.
  * Bump Standards-Version to 4.7.0 - no changes required
  * Dh_Lib.pm: Change `pkgfile` lookup to have opt-in features
    rather than always-on in compat 14. Third-party debhelper tools
    should update their `pkgfile` calls if they need `named` or/and
    architecture specifc configuration files.
  * Set PKG_CONFIG when calling Makefile.pl (makemaker) if not already set
  * Make `dh_auto_install --destdir` change a pure compat 14 change.
    Thanks to Jeremy Bícha <jeremy.bicha@canonical.com>.
    (Closes: #1074322)

  [ Jean-Pierre Giraud ]
  * Update French manpage translation

  [ Helmut Grohne ]
  * cmake.pm: Also pass pkg-config via environment (Closes: #1077673)

 -- Niels Thykier <niels@thykier.net>  Tue, 13 Aug 2024 12:21:03 +0000
