## debhelper 13.18ubuntu2.1

=== debian/changelog ===
debhelper (13.18ubuntu2.1) oracular; urgency=medium

  * Fix a regression in pkgfile where compat 14 semantics were always active,
    causing arch-specific overrides to be ignored (LP: #2083651).

 -- Chris Peterson <chris.peterson@canonical.com>  Fri, 18 Oct 2024 10:14:50 -0700
