=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
 Uploaders:
  Niels Thykier <niels@thykier.net>,
 Build-Depends:
@@ -14,7 +15,7 @@
 X-DH-Compat: 15
 X-Style: black
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Testsuite:
  autopkgtest-pkg-perl
 Vcs-Git: https://salsa.debian.org/debian/debhelper.git
@@ -37,7 +38,7 @@
  dpkg (>= 1.18.0~),
  dpkg-dev (>= 1.18.2~),
  debugedit,
- awk,
+ mawk,
  dwz (>= 0.12.20190711) <!pkg.debhelper.bootstrap>,
  file (>= 3.23),
  libdebhelper-perl (= ${source:Version}),
