## debhelper 13.19~bpo12+1

=== debian/changelog ===
debhelper (13.19~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Skipped 13.20 as it is a temporary sid-only change that would
    have to be undone for -backports. Using 13.19 as basline
    version is a more accurate description of the actual content.
  * Remaining delta:
    - Disable dh_movetousr.
    - Revert: "systemd helpers: install units to /usr".
    - Tests related to the above changes.

 -- Niels Thykier <niels@thykier.net>  Sat, 31 Aug 2024 10:18:48 +0000

debhelper (13.19) unstable; urgency=medium

  * Fix regression in pkgfile where compat 14 semantics were always active.
    Thanks to Salvatore Bonaccorso <carnil@debian.org>
  * dh_lintian: Reject architecture specific overrides files for M-A: same [c14]
    Thanks to Salvatore Bonaccorso <carnil@debian.org> (Closes: #1078830)

 -- Niels Thykier <niels@thykier.net>  Sun, 18 Aug 2024 08:15:14 +0000
