=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
+Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
 Uploaders:
  Niels Thykier <niels@thykier.net>,
 Build-Depends:
@@ -11,7 +10,6 @@
  man-db <pkg.debhelper.ci>,
  perl:any,
  po4a <!pkg.debhelper.nonls>,
- debugedit,
 X-DH-Compat: 15
 X-Style: black
 Rules-Requires-Root: no
@@ -37,8 +35,6 @@
 # dbgsym support landed in 1.18.0, 1.18.2 fixes a related nasty bug.
  dpkg (>= 1.18.0~),
  dpkg-dev (>= 1.18.2~),
- debugedit,
- mawk,
  dwz (>= 0.12.20190711) <!pkg.debhelper.bootstrap>,
  file (>= 3.23),
  libdebhelper-perl (= ${source:Version}),
