## debhelper 13.20

=== debian/changelog ===
debhelper (13.20) unstable; urgency=medium

  [ Samuel Thibault ]
  * dh_installsysusers: Temporarily add opensysusers alternative.
    (See #1076045)

 -- Niels Thykier <niels@thykier.net>  Fri, 23 Aug 2024 08:06:37 +0000
