## debhelper 13.20ubuntu1

=== debian/changelog ===
debhelper (13.20ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-
      empty. Warn on empty archives.
    - Imply "<!noudeb>" profile if not set on package type udeb.
    - dh_strip: Set a unique build-id before stripping files.
    - Allow dh_strip to be larger for the tests
    - Add mawk dependency implied by empty .text section check

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 16 Oct 2024 11:13:57 -0500
