## debhelper 13.23~bpo12+1

=== debian/changelog ===
debhelper (13.23~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Remaining delta:
    - Disable dh_movetousr.
    - Revert: "systemd helpers: install units to /usr".
    - Tests related to the above changes.

 -- Niels Thykier <niels@thykier.net>  Fri, 03 Jan 2025 04:55:18 +0000

debhelper (13.23) unstable; urgency=medium

  * makefile.pm: Preserve return value from `sub install`

 -- Niels Thykier <niels@thykier.net>  Sat, 28 Dec 2024 11:12:36 +0000
