## debhelper 13.23~mx23%2B1

=== t/Dh_Lib/debian/control ===
# Comment before the source field

Source: foo
Section: misc
Priority: optional
Maintainer: Test <testing@nowhere>
Standards-Version: 3.9.8

Package: foo-any
Section: devel
Architecture: linux-any
Description: package foo-any
 Package foo-any

Package: foo-all
Architecture: all
Description: package foo-all
 Package foo-all
