=== t/dh_installinit/debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Test <testing@nowhere>
 Standards-Version: 3.9.8
+X-DH-Compat: @DH_COMPAT_LEVEL@
 
 Package: foo
 Architecture: all
