## debhelper 13.23~mx23+1

=== debian/changelog ===
debhelper (13.23~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 21 Feb 2025 08:54:13 -0800
